namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IPageRestApi
{

    [Get("/type/{type}")]
    Task<BasePageEntitySDto> ReadByType([Query] string type, [Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<BasePageEntitySDto> ReadById(Guid id, [Header("Authorization")] string authorization);

    [Post("")]
    Task CreatePage([Body] PageActionRequestDto request, [Header("Authorization")] string authorization);
}